aboutsummaryrefslogtreecommitdiff
path: root/t/t1400-update-ref.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-07-29 01:54:54 -0700
committerJunio C Hamano <junkio@cox.net>2006-07-29 01:54:54 -0700
commit7061cf0f205e86613c3a3306fdfedf2a5dcc8a65 (patch)
treee0595e44fc820032fd5ee942a031439f2e6da3b1 /t/t1400-update-ref.sh
parentac64a722072bb348476a8a029de9a82073e07fba (diff)
parenta633fca0c056aa221d23493c276d3713191621b3 (diff)
downloadgit-7061cf0f205e86613c3a3306fdfedf2a5dcc8a65.tar.gz
git-7061cf0f205e86613c3a3306fdfedf2a5dcc8a65.tar.xz
Merge branch 'lt/setup' into __/setup-n-mv
This merges the new built-in calling convention code into Johannes's builtin-mv topic in order to resolve their conflicts early on. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 't/t1400-update-ref.sh')
-rwxr-xr-xt/t1400-update-ref.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/t/t1400-update-ref.sh b/t/t1400-update-ref.sh
index 04fab2662..ddc80bbea 100755
--- a/t/t1400-update-ref.sh
+++ b/t/t1400-update-ref.sh
@@ -14,6 +14,8 @@ D=4444444444444444444444444444444444444444
E=5555555555555555555555555555555555555555
F=6666666666666666666666666666666666666666
m=refs/heads/master
+n_dir=refs/heads/gu
+n=$n_dir/fixes
test_expect_success \
"create $m" \
@@ -26,6 +28,16 @@ test_expect_success \
rm -f .git/$m
test_expect_success \
+ "fail to create $n" \
+ 'touch .git/$n_dir
+ git-update-ref $n $A >out 2>err
+ test $? = 1 &&
+ test "" = "$(cat out)" &&
+ grep "error: unable to resolve reference" err &&
+ grep $n err'
+rm -f .git/$n_dir out err
+
+test_expect_success \
"create $m (by HEAD)" \
'git-update-ref HEAD $A &&
test $A = $(cat .git/$m)'